Index: res/res_features.c
===================================================================
RCS file: /usr/cvsroot/asterisk/res/res_features.c,v
retrieving revision 1.13
diff -u -5 -r1.13 res_features.c
--- res/res_features.c	15 Sep 2004 19:49:33 -0000	1.13
+++ res/res_features.c	17 Sep 2004 08:25:20 -0000
@@ -895,10 +895,12 @@
 					transferdigittimeout = DEFAULT_TRANSFER_DIGIT_TIMEOUT;
 				} else
 					transferdigittimeout = transferdigittimeout * 1000;
 			} else if  (!strcasecmp(var->name, "courtesytone")) {
 				strncpy(courtesytone, var->value, sizeof(courtesytone) - 1);
+			} else if (!strcasecmp(var->name, "pickupext")) {
+				strncpy(pickup_ext, var->value, sizeof(pickup_ext) - 1);
 			}
 			var = var->next;
 		}
 		ast_destroy(cfg);
 	}
Index: configs/features.conf.sample
===================================================================
RCS file: /usr/cvsroot/asterisk/configs/features.conf.sample,v
retrieving revision 1.4
diff -u -5 -r1.4 features.conf.sample
--- configs/features.conf.sample	15 Sep 2004 19:49:33 -0000	1.4
+++ configs/features.conf.sample	17 Sep 2004 08:25:20 -0000
@@ -10,5 +10,6 @@
 				; (default is 45 seconds)
 ;transferdigittimeout => 3	; Number of seconds to wait between digits when transfering a call
 ;courtesytone = beep		; Sound file to play to the parked caller 
 				; when someone dials a parked call
 ;adsipark = yes			; if you want ADSI parking announcements
+;pickupext => **		; Pick-up extension (default is *8)
